> For the complete documentation index, see [llms.txt](https://docs.clusters.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clusters.xyz/getting-started/api/v0.1-deprecated/cluster-address.md).

# Cluster → Address

{% hint style="info" %}
To enable testnet querying on Sepolia, add `?testnet=true` to the end of the URL
{% endhint %}

## Get address

<mark style="color:green;">`GET`</mark> `/v0.1/address/:name`

<mark style="color:green;">`GET`</mark> `/v0.1/address/:name/:addressName`

Get the wallet associated to a cluster name. You can pass just the cluster name or also include the address name as shown in the 2 examples.

| Name                       | Description                 |
| -------------------------- | --------------------------- |
| `name`                     | Name of the cluster         |
| `addressName` *(optional)* | Address name of the cluster |

**Example**

```http
https://api.clusters.xyz/v0.1/address/clusters
https://api.clusters.xyz/v0.1/address/clusters/main
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "type": "evm",
  "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
  "name": "clusters/main",
  "isVerified": true
}
```

{% endtab %}

{% tab title="404" %}

```json
null
```

{% endtab %}
{% endtabs %}

***

## Bulk get addresses

<mark style="color:green;">`POST`</mark> `/v0.1/address/names`

Get the wallets associated to a cluster name. You can pass just the cluster name or also include the address name.

| Name        | Description                                           |
| ----------- | ----------------------------------------------------- |
| POST `body` | Array of cluster names (with or without address name) |

**Example**

```bash
curl  -X POST \
  'https://api.clusters.xyz/v0.1/address/names' \
  --data-raw '[
  "clusters/",
  "clusters/main",
  "layerzero/",
  "layerzero/main"
]'
```

**Response**

> Any names in the array that are not found will be omitted from the response.

{% tabs %}
{% tab title="200" %}

```json
[
  {
    "name": "clusters/",
    "type": "evm",
    "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
    "isVerified": true
  },
  {
    "name": "clusters/main",
    "type": "evm",
    "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
    "isVerified": true
  },
  {
    "name": "layerzero/",
    "type": "evm",
    "address": "0xccdead94e8cf17de32044d9701c4f5668ad0bef9",
    "isVerified": true
  },
  {
    "name": "layerzero/main",
    "type": "evm",
    "address": "0xccdead94e8cf17de32044d9701c4f5668ad0bef9",
    "isVerified": true
  }
]
```

{% endtab %}

{% tab title="500" %}

```json
[]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.clusters.xyz/getting-started/api/v0.1-deprecated/cluster-address.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
